LocalizedString (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.template, class: LocalizedString

Package freemarker.template

# Class LocalizedString

java.lang.Object
freemarker.template.LocalizedString

All Implemented Interfaces:
  `TemplateModel`, `TemplateScalarModel`

Direct Known Subclasses:
  `ResourceBundleLocalizedString`

public abstract class LocalizedString extends Object implements TemplateScalarModel
An abstract base class for scalars that vary by locale. Here is a silly usage example. `TemplateScalarModel localizedYes = new LocalizedString() { public String getLocalizedString(java.util.Locale locale) { String lang = locale.getLanguage(); if "fr".equals(lang) return "oui"; else if "de".equals(lang) return "sí"; else return "yes"; } };`

- ## Field Summary

  ### Fields inherited from interface freemarker.template.TemplateModel

  `NOTHING`

  ### Fields inherited from interface freemarker.template.TemplateScalarModel

  `EMPTY_STRING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocalizedString()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAsString()`
  Returns the `String` representation of this model.
  `abstract String`
  `getLocalizedString​(Locale locale)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LocalizedString

    public LocalizedString()

- ## Method Details

  - ### getAsString

    public String getAsString() throws TemplateModelException
    Description copied from interface: `TemplateScalarModel`
    Returns the `String` representation of this model. Returning `null` is illegal, and may cause exception in the calling code. (Except, in classic-compatible mode the engine will convert `null` into empty string.)
    Specified by:
      `getAsString` in interface `TemplateScalarModel`
    Throws:
      `TemplateModelException`

  - ### getLocalizedString

    public abstract String getLocalizedString​(Locale locale) throws TemplateModelException
    Throws:
      `TemplateModelException`